primes.h File Reference

Support for finding primes and factorising integers. More...

`#include "regina-core.h"`
`#include "maths/integer.h"`
`#include <thread>`
`#include <vector>`
`#include <mutex>`

## Classes

class | regina::Primes
| A helper class for finding primes and factorising integers. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef Primes | regina::NPrimes
| Deprecated typedef for backward compatibility. More...

## Detailed Description

Support for finding primes and factorising integers.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).